<template>
    <div>
        <div class="form-group discount-group edit__set_block">
            <div class="full-width">
                <div class="form-title">
                    <b>Sending Timing</b>
                </div>
                <div><b>Send</b></div>
                <div class="form-group form-inline">
                    <b-form-input
                        id="send-time"
                        v-model="data.send_time"
                        name="send_time"
                        data-vv-as="Send Time"
                        type="number"
                        min="1"
                        class="my-input"
                        style="width: 100px"
                        @blur="$emit('checkChanged', 'send_time')"
                    />

                    <div
                        class="select-container"
                        style="min-width: 100px"
                    >
                        <b-select
                            v-model="data.send_time_type"
                            class="form-control"
                            style="background-color: white"
                            @change="$emit('checkChanged', 'send_time_type')"
                        >
                            <option
                                v-for="(select, index) in selectTagMenus"
                                :key="index"
                                :value="select.value"
                            >
                                {{ select.title }}
                            </option>
                        </b-select>
                    </div>
                    <span v-if="data.order === 1">After abandonment</span>
                    <span v-else>After previous reminder</span>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    name: "SandingTab",
    props: ['data'],
    data: () => ({
        selectTagMenus: [
            {
                title: 'Minutes',
                value: 'minutes'
            },
            {
                title: 'Hours',
                value: 'hours'
            },
        ],
    })
}
</script>

<style scoped lang="scss">

</style>
